Subject: Re: Is in_le32 and out_le32 atomic?

From: Arnd Bergmann <[email-masked]>
Date: Fri, 8 Dec 2006 21:15:38 +0100

On Friday 08 December 2006 21:05, Wolfgang Grandegger wrote:
> Can anybody tell me why the spin_* protection is needed? I thought that 
> 32-bit read and write operations are atomic.
> 
The spinlocks are needed to guarantee ordering between the completion of
the i/o access and other code. A typical problem is that a store is
still on its way to the I/O device while the CPU has already left the
function that initiated it, and might call code that relies on the
value having arrived there.

	Arnd <><